Package org.eclipse.cdt.core.cdtvariables

# Class CdtVariableStatus

java.lang.Object
org.eclipse.core.runtime.Status
org.eclipse.cdt.core.cdtvariables.CdtVariableStatus

All Implemented Interfaces:
  `ICdtVariableStatus`, `org.eclipse.core.runtime.IStatus`

Direct Known Subclasses:
  `SupplierBasedCdtVariableStatus`

public class CdtVariableStatus extends org.eclipse.core.runtime.Status implements ICdtVariableStatus
This class implements the IBuildMacroStatus interface

Since:
  3.0

## Field Summary

### Fields inherited from class org.eclipse.core.runtime.Status

`CANCEL_STATUS, OK_STATUS`

### Fields inherited from interface org.eclipse.cdt.core.cdtvariables.ICdtVariableStatus

`TYPE_ERROR, TYPE_MACRO_NOT_STRING, TYPE_MACRO_NOT_STRINGLIST, TYPE_MACRO_REFERENCE_INCORRECT, TYPE_MACRO_UNDEFINED, TYPE_MACROS_REFERENCE_EACHOTHER`

### Fields inherited from interface org.eclipse.core.runtime.IStatus

`CANCEL, ERROR, INFO, OK, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`CdtVariableStatus(int severity, int code, String message, Throwable exception, String macroName, String expression, String referencedName)`
`CdtVariableStatus(int code, String macroName, String expression, String referencedName)`
Creates status with the IStatus.ERROR severity and with the default message
`CdtVariableStatus(int code, String message, Throwable exception, String macroName, String expression, String referencedName)`
Creates status with the IStatus.ERROR severity

## Method Summary

Modifier and Type
Method
Description
`protected String`
`generateMessage()`
generates and returns the default status message based upon then status data
`String`
`getExpression()`
returns the string whose resolutinon caused caused this status creation or null if none
`String`
`getReferencedMacroName()`
returns the macro name referenced in the resolution string that caused this this status creation or null if none
`String`
`getVariableName()`
returns the name of the build macro whose resolution caused this status creation or null if none

### Methods inherited from class org.eclipse.core.runtime.Status

`error, error, getChildren, getCode, getException, getMessage, getPlugin, getSeverity, info, isMultiStatus, isOK, matches, setCode, setException, setMessage, setPlugin, setSeverity, toString, warning, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IStatus

`getChildren, getCode, getException, getMessage, getPlugin, getSeverity, isMultiStatus, isOK, matches`

## Constructor Details

### CdtVariableStatus

public CdtVariableStatus(int severity, int code, String message, Throwable exception, String macroName, String expression, String referencedName)

Parameters:
  `severity` - as documented in `IStatus`
  `code` - as provided by `ICdtVariableStatus`.
  `message` - message, can be null. In this case the default message will be generated base upon the other status info
  `exception` - a low-level exception, or `null` if not applicable
  `macroName` - the name of the build macro whose resolution caused this status creation or null if none
  `expression` - the string whose resolution caused this status creation or null if none
  `referencedName` - the macro name referenced in the resolution string that caused this this status creation or null if none

### CdtVariableStatus

public CdtVariableStatus(int code, String message, Throwable exception, String macroName, String expression, String referencedName)
Creates status with the IStatus.ERROR severity

Parameters:
  `code` - one of the IBuildMacroStatus.TYPE_xxx statusses
  `message` - message, can be null. In this case the default message will be generated base upon the other status info
  `exception` - a low-level exception, or `null` if not applicable
  `macroName` - the name of the build macro whose resolution caused this status creation or null if none
  `expression` - the string whose resolutinon caused caused this status creation or null if none
  `referencedName` - the macro name referenced in the resolution string that caused this this status creation or null if none

### CdtVariableStatus

public CdtVariableStatus(int code, String macroName, String expression, String referencedName)
Creates status with the IStatus.ERROR severity and with the default message

Parameters:
  `code` - one of the IBuildMacroStatus.TYPE_xxx statusses
  `macroName` - the name of the build macro whose resolution caused this status creation or null if none
  `expression` - the string whose resolutinon caused caused this status creation or null if none
  `referencedName` - the macro name referenced in the resolution string that caused this this status creation or null if none

## Method Details

### generateMessage

protected String generateMessage()
generates and returns the default status message based upon then status data

Returns:
  String

### getVariableName

public String getVariableName()
Description copied from interface: `ICdtVariableStatus`
returns the name of the build macro whose resolution caused this status creation or null if none

Specified by:
  `getVariableName` in interface `ICdtVariableStatus`
Returns:
  IBuildMacro

### getExpression

public String getExpression()
Description copied from interface: `ICdtVariableStatus`
returns the string whose resolutinon caused caused this status creation or null if none

Specified by:
  `getExpression` in interface `ICdtVariableStatus`
Returns:
  String

### getReferencedMacroName

public String getReferencedMacroName()
Description copied from interface: `ICdtVariableStatus`
returns the macro name referenced in the resolution string that caused this this status creation or null if none

Specified by:
  `getReferencedMacroName` in interface `ICdtVariableStatus`
Returns:
  String